For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Meetings
      • POSTCreate Meeting
      • GETGet Meeting
      • PUTUpdate Meeting
      • DELRemove Meeting
      • POSTCreate Weekly Recurring Meetings
      • POSTCreate Monthly Recurring Meetings
      • POSTCreate Daily Recurring Meetings
      • POSTCreate Yearly Recurring Meetings
      • DELDelete Recurring Meetings
      • POSTValidate Recurring Meeting settings
      • PUTUpdate Recurring Meeting settings
LogoLogo
SupportContact salesStart free trial
API ReferenceMeetings

Create Meeting

POST
https://api.projectmanager.com/api/data/meetings
POST
/api/data/meetings
$curl -X POST https://api.projectmanager.com/api/data/meetings \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "description": "string",
17 "plannedStartDate": "2024-01-15T09:30:00Z",
18 "plannedFinishDate": "2024-01-15T09:30:00Z",
19 "plannedDuration": 1,
20 "plannedEffort": 1,
21 "priorityId": 1,
22 "assignees": [
23 {
24 "id": "string",
25 "initials": "string",
26 "name": "string",
27 "description": "string",
28 "isActive": true,
29 "colorName": "string",
30 "firstName": "string",
31 "lastName": "string",
32 "shortName": "string",
33 "avatarUrl": "string",
34 "email": "string"
35 }
36 ],
37 "shortId": "string",
38 "tags": [
39 {
40 "id": "string",
41 "name": "string",
42 "color": "string"
43 }
44 ],
45 "todos": [
46 {
47 "id": "string",
48 "text": "string",
49 "complete": true,
50 "createDate": "2024-01-15T09:30:00Z",
51 "modifyDate": "2024-01-15T09:30:00Z"
52 }
53 ],
54 "createDate": "2024-01-15T09:30:00Z",
55 "owner": {
56 "id": "string",
57 "initials": "string",
58 "firstName": "string",
59 "lastName": "string",
60 "email": "string",
61 "isActive": true,
62 "color": "string",
63 "avatarUrl": "string"
64 },
65 "ownerId": "string",
66 "project": {
67 "id": "string",
68 "shortId": "string",
69 "name": "string"
70 }
71 }
72}
Creates a new Meeting for the current user. If you specify an assignee for this Meeting, that user will be assigned to it. If you do not specify an assignee, the Meeting will be automatically assigned to you.
Was this page helpful?
Previous

Get Meeting

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The data used to create the Meeting
namestringRequired
The common name of this Task.
descriptionstring or nullOptional

This field contains the task’s “Note” or “Description”, which is a description of the work to be done to complete the task.

Within the ProjectManager application, you can use this field as follows:

  • When in the Board or List view, click on a task to open the task panel, then edit the “Description” field.
startDatestringOptionalformat: "date-time"

The date when work on this Task is planned to begin.

This value contains only the date in year-month-day format. For display, this date will always be shown as this same year-month-day regardless of time zone. time needs to be in 15-minute increments, valid values are 0, 15, 30, 45

durationMinutesinteger or nullOptional

The duration (in 15-minute increments) for this Meeting.

assigneeslist of strings or nullOptional
Specify a list of resources to assign to this NPT
priorityinteger or nullOptional
The numeric of the Priority for this Meeting
projectIdstring or nullOptionalformat: "uuid"
The unique identifier of the Project for this Meeting

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A Meeting is a task that does not belong to the project or is part of a project. It is only visible to the person who created it, and the users assigned to it. Meeting's are a lightweight version of a project task.

Errors

400
Bad Request Error